Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Class OrderImpl

    java.lang.Object
      com.beasys.commerce.foundation.EntityImpl
          com.beasys.commerce.ebusiness.order.OrderImpl

All Implemented Interfaces
  RelationalReference, Serializable, javax.ejb.EnterpriseBean, javax.ejb.EntityBean

Deprecated See BEA Commerce product offering

    @Deprecated
    public class OrderImpl

extends EntityImpl

This is a class that will implement the business process of order fulfillment.

     Primary Key = com.beasys.commerce.ebusiness.order.OrderPk

See Also
  `Order`, `OrderHome`, `OrderValue`, Serialized Form

Field Summary
`Date` | `createdDate` Deprecated See BEA Commerce product offering
`SmartEntityReference` | `customer` Deprecated See BEA Commerce product offering
`String` | `identifier` Deprecated See BEA Commerce product offering
`SmartCollectionReference` | `orderLines` Deprecated See BEA Commerce product offering
`String` | `orderStatus` Deprecated See BEA Commerce product offering
`SmartEntityReference` | `paymentTransaction` Deprecated See BEA Commerce product offering
`Money` | `price` Deprecated See BEA Commerce product offering
`Money` | `shipping` Deprecated See BEA Commerce product offering
`com.beasys.commerce.axiom.contact.Address` | `shippingAddress` Deprecated See BEA Commerce product offering
`String` | `shippingMethod` Deprecated See BEA Commerce product offering
`String` | `specialInstructions` Deprecated See BEA Commerce product offering
`String` | `splittingPreference` Deprecated See BEA Commerce product offering
`double` | `subtotal` Deprecated See BEA Commerce product offering

Fields inherited from class com.beasys.commerce.foundation.EntityImpl
`__classIdentifier, __containingEntity, __mapKey, __sequenceNumber, _ctx, _environmentNamingContext, _environmentPropertyCache, _isDirty, _smartBMP`

Constructor Summary
`OrderImpl()` Deprecated See BEA Commerce product offering

Method Summary
`boolean` | `addOrderLines(OrderLine element)` Deprecated See BEA Commerce product offering
`boolean` | `addOrderLinesCollection(Collection collection)` Deprecated See BEA Commerce product offering
`protected void` | `bscInitializeAttributes(OrderPk orderPk)` Deprecated See BEA Commerce product offering
`void` | `clearOrderLinesCollection()` Deprecated See BEA Commerce product offering
`boolean` | `containsOrderLines(OrderLine element)` Deprecated See BEA Commerce product offering
`boolean` | `containsOrderLinesCollection(Collection collection)` Deprecated See BEA Commerce product offering
`void` | `ejbActivate()` Deprecated See BEA Commerce product offering
`OrderPk` | `ejbCreate(OrderPk orderPk)` Deprecated See BEA Commerce product offering
`Collection` | `ejbFindByCustomer(String customerIdentifier)` Deprecated See BEA Commerce product offering
`Collection` | `ejbFindByDate(Date from, Date to)` Deprecated See BEA Commerce product offering
`OrderPk` | `ejbFindByPrimaryKey(OrderPk pk)` Deprecated See BEA Commerce product offering
`Collection` | `ejbFindByStatus(String findStatus)` Deprecated See BEA Commerce product offering
`void` | `ejbLoad()` Deprecated See BEA Commerce product offering
`void` | `ejbPassivate()` Deprecated See BEA Commerce product offering
`void` | `ejbPostCreate(OrderPk orderPk)` Deprecated See BEA Commerce product offering
`void` | `ejbRemove()` Deprecated See BEA Commerce product offering
`void` | `ejbStore()` Deprecated See BEA Commerce product offering
`boolean` | `equalsOrderLinesCollection(Object object)` Deprecated See BEA Commerce product offering
`Date` | `getCreatedDate()` Deprecated See BEA Commerce product offering
`Customer` | `getCustomer()` Deprecated See BEA Commerce product offering
`SmartEntityReference` | `getCustomerReference()` Deprecated See BEA Commerce product offering
`String` | `getIdentifier()` Deprecated See BEA Commerce product offering
`OrderValue` | `getOrderByValue()` Deprecated See BEA Commerce product offering
`Collection` | `getOrderLinesCollection()` Deprecated See BEA Commerce product offering
`SmartCollectionReference` | `getOrderLinesCollectionReference()` Deprecated See BEA Commerce product offering
`String` | `getOrderStatus()` Deprecated See BEA Commerce product offering
`PaymentTransaction` | `getPaymentTransaction()` Deprecated See BEA Commerce product offering
`SmartEntityReference` | `getPaymentTransactionReference()` Deprecated See BEA Commerce product offering
`Money` | `getPrice()` Deprecated See BEA Commerce product offering
`Money` | `getShipping()` Deprecated See BEA Commerce product offering
`com.beasys.commerce.axiom.contact.Address` | `getShippingAddress()` Deprecated See BEA Commerce product offering
`String` | `getShippingMethod()` Deprecated See BEA Commerce product offering
`String` | `getSpecialInstructions()` Deprecated See BEA Commerce product offering
`String` | `getSplittingPreference()` Deprecated See BEA Commerce product offering
`double` | `getSubtotal()` Deprecated See BEA Commerce product offering
`Money` | `getTotal(int totalType)` Deprecated See BEA Commerce product offering
`boolean` | `isOrderLinesCollectionEmpty()` Deprecated See BEA Commerce product offering
`int` | `orderLinesCollectionHashCode()` Deprecated See BEA Commerce product offering
`Iterator` | `orderLinesCollectionIterator()` Deprecated See BEA Commerce product offering
`int` | `orderLinesCollectionSize()` Deprecated See BEA Commerce product offering
`boolean` | `removeOrderLines(OrderLine element)` Deprecated See BEA Commerce product offering
`boolean` | `removeOrderLinesCollection(Collection collection)` Deprecated See BEA Commerce product offering
`boolean` | `retainOrderLinesCollection(Collection collection)` Deprecated See BEA Commerce product offering
`void` | `setCreatedDate(Date createdDate)` Deprecated See BEA Commerce product offering
`void` | `setCustomer(Customer customer)` Deprecated See BEA Commerce product offering
`void` | `setCustomerReference(SmartEntityReference smartEntityReference)` Deprecated See BEA Commerce product offering
`void` | `setEntityContext(javax.ejb.EntityContext ctx)` Deprecated See BEA Commerce product offering
`void` | `setIdentifier(String value)` Deprecated See BEA Commerce product offering
`void` | `setOrderByValue(OrderValue value)` Deprecated See BEA Commerce product offering
`void` | `setOrderLinesCollection(Collection collection)` Deprecated See BEA Commerce product offering
`void` | `setOrderLinesCollectionReference(SmartCollectionReference smartCollectionReference)` Deprecated See BEA Commerce product offering
`void` | `setOrderStatus(String orderStatus)` Deprecated See BEA Commerce product offering
`void` | `setPaymentTransaction(PaymentTransaction paymentTransaction)` Deprecated See BEA Commerce product offering
`void` | `setPaymentTransactionReference(SmartEntityReference smartEntityReference)` Deprecated See BEA Commerce product offering
`void` | `setPrice(Money price)` Deprecated See BEA Commerce product offering
`void` | `setShipping(Money shipping)` Deprecated See BEA Commerce product offering
`void` | `setShippingAddress(com.beasys.commerce.axiom.contact.Address shippingAddress)` Deprecated See BEA Commerce product offering
`void` | `setShippingMethod(String shippingMethod)` Deprecated See BEA Commerce product offering
`void` | `setSpecialInstructions(String specialInstructions)` Deprecated See BEA Commerce product offering
`void` | `setSplittingPreference(String splittingPreference)` Deprecated See BEA Commerce product offering
`void` | `setSubtotal(double subtotal)` Deprecated See BEA Commerce product offering
`void` | `unsetEntityContext()` Deprecated See BEA Commerce product offering

Methods inherited from class com.beasys.commerce.foundation.EntityImpl
`bscInitializeAttributes, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, ejbCreate, ejbFindAll, ejbFindByPrimaryKey, ejbPostCreate, enumerateRelationalBinding, enumerateRelationalBinding, get__classIdentifier, get__containingBelonging, get__containingEntity, get__containingEntityReference, get__mapKey, get__sequenceNumber, getEntityContext, getEnvironmentNamingContext, getEnvironmentProperty, getEnvironmentProperty, getEnvironmentPropertyCache, getPersistenceHelperPlugin, getSmartBMP, initSmartBMP, isModified, set__classIdentifier, set__containingBelonging, set__containingEntity, set__containingEntityReference, set__mapKey`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### identifier

    public String identifier

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1
  - PRIMARY KEY FIELD

### createdDate

    public Date createdDate

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

### shippingMethod

    public String shippingMethod

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

### customer

    public SmartEntityReference customer

  Deprecated See BEA Commerce product offering
  Order has a reference to the Customer that committed it
  - Containment: By Reference
  - Multiplicity: 1:1

### shippingAddress

    public com.beasys.commerce.axiom.contact.Address shippingAddress

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

### shipping

    public Money shipping

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

### paymentTransaction

    public SmartEntityReference paymentTransaction

  Deprecated See BEA Commerce product offering
  - Containment: By Reference
  - Multiplicity: 1:1

### orderStatus

    public String orderStatus

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

### splittingPreference

    public String splittingPreference

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

### orderLines

    public SmartCollectionReference orderLines

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 0:N
  - Interface: java.util.Collection

### price

    public Money price

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

### specialInstructions

    public String specialInstructions

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

### subtotal

    public double subtotal

  Deprecated See BEA Commerce product offering
  The subtotal for the order

Constructor Detail

### OrderImpl

    public OrderImpl()

  Deprecated See BEA Commerce product offering

Method Detail

### getOrderByValue

    public OrderValue getOrderByValue()
                               throws RemoteException

  Deprecated See BEA Commerce product offering

  Get all of Order's attributes.

  Returns
    OrderValue the Order value object
  Throws
    `RemoteException`

### setOrderByValue

    public void setOrderByValue(OrderValue value)
                         throws RemoteException

  Deprecated See BEA Commerce product offering

  Set all of Order's attributes to the passed in value. Note: Primary key attributes are not set.

  Parameters
    `OrderValue` - the Order value object
  Throws
    `RemoteException`

### ejbCreate

    public OrderPk ejbCreate(OrderPk orderPk)
                      throws javax.ejb.CreateException

  Deprecated See BEA Commerce product offering

  Throws
    `javax.ejb.CreateException`

### bscInitializeAttributes

    protected void bscInitializeAttributes(OrderPk orderPk)
                                    throws javax.ejb.CreateException

  Deprecated See BEA Commerce product offering

  Throws
    `javax.ejb.CreateException`

### ejbPostCreate

    public void ejbPostCreate(OrderPk orderPk)
                       throws javax.ejb.CreateException

  Deprecated See BEA Commerce product offering

  Throws
    `javax.ejb.CreateException`

### ejbLoad

    public void ejbLoad()
                 throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `EntityImpl`
  ejbLoad method.

  Specified by:
    `ejbLoad` in interface `javax.ejb.EntityBean`
  Overrides:
    `ejbLoad` in class `EntityImpl`
  Throws
    `javax.ejb.EJBException`

### ejbStore

    public void ejbStore()
                  throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `EntityImpl`
  ejbStore method.

  Specified by:
    `ejbStore` in interface `javax.ejb.EntityBean`
  Overrides:
    `ejbStore` in class `EntityImpl`
  Throws
    `javax.ejb.EJBException`

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.RemoveException

  Deprecated See BEA Commerce product offering

  Description copied from class: `EntityImpl`
  ejbRemove method.

  Specified by:
    `ejbRemove` in interface `javax.ejb.EntityBean`
  Overrides:
    `ejbRemove` in class `EntityImpl`
  Throws
    `javax.ejb.RemoveException`

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `EntityImpl`
  ejbActivate method.

  Specified by:
    `ejbActivate` in interface `javax.ejb.EntityBean`
  Overrides:
    `ejbActivate` in class `EntityImpl`
  Throws
    `javax.ejb.EJBException`

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `EntityImpl`
  ejbPassivate method.

  Specified by:
    `ejbPassivate` in interface `javax.ejb.EntityBean`
  Overrides:
    `ejbPassivate` in class `EntityImpl`
  Throws
    `javax.ejb.EJBException`

### setEntityContext

    public void setEntityContext(javax.ejb.EntityContext ctx)
                          throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `EntityImpl`
  setEntityContext method.

  Specified by:
    `setEntityContext` in interface `javax.ejb.EntityBean`
  Overrides:
    `setEntityContext` in class `EntityImpl`
  Throws
    `javax.ejb.EJBException`

### unsetEntityContext

    public void unsetEntityContext()
                            throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `EntityImpl`
  unsetEntityContext method.

  Specified by:
    `unsetEntityContext` in interface `javax.ejb.EntityBean`
  Overrides:
    `unsetEntityContext` in class `EntityImpl`
  Throws
    `javax.ejb.EJBException`

### ejbFindByPrimaryKey

    public OrderPk ejbFindByPrimaryKey(OrderPk pk)
                                throws javax.ejb.FinderException

  Deprecated See BEA Commerce product offering

  Throws
    `javax.ejb.FinderException`

### getCreatedDate

    public Date getCreatedDate()

  Deprecated See BEA Commerce product offering

  Get the value of createdDate

  Returns
    createdDate.

### setCreatedDate

    public void setCreatedDate(Date createdDate)

  Deprecated See BEA Commerce product offering

  Set the value of createdDate

  Parameters
    `createdDate` - createdDate to be added

### getShippingMethod

    public String getShippingMethod()

  Deprecated See BEA Commerce product offering

  Get the value of shippingMethod

  Returns
    shippingMethod.

### setShippingMethod

    public void setShippingMethod(String shippingMethod)

  Deprecated See BEA Commerce product offering

  Set the value of shippingMethod

  Parameters
    `shippingMethod` - shippingMethod to be added

### getIdentifier

    public String getIdentifier()

  Deprecated See BEA Commerce product offering

### setIdentifier

    public void setIdentifier(String value)

  Deprecated See BEA Commerce product offering

### getCustomerReference

    public SmartEntityReference getCustomerReference()

  Deprecated See BEA Commerce product offering

  Get the SmartEntityReference for customer

### setCustomerReference

    public void setCustomerReference(SmartEntityReference smartEntityReference)

  Deprecated See BEA Commerce product offering

  Set the SmartEntityReference for customer

### getCustomer

    public Customer getCustomer()

  Deprecated See BEA Commerce product offering

  Get the remote object reference of customer

  Returns
    customer.

### setCustomer

    public void setCustomer(Customer customer)

  Deprecated See BEA Commerce product offering

  Set the remote object reference of customer

  Parameters
    `customer` - customer to be added

### getShippingAddress

    public com.beasys.commerce.axiom.contact.Address getShippingAddress()

  Deprecated See BEA Commerce product offering

  Get the value of shippingAddress

  Returns
    shippingAddress.

### setShippingAddress

    public void setShippingAddress(com.beasys.commerce.axiom.contact.Address shippingAddress)

  Deprecated See BEA Commerce product offering

  Set the value of shippingAddress

  Parameters
    `shippingAddress` - shippingAddress to be added

### getShipping

    public Money getShipping()

  Deprecated See BEA Commerce product offering

  Get the value of shipping

  Returns
    shipping.

### setShipping

    public void setShipping(Money shipping)

  Deprecated See BEA Commerce product offering

  Set the value of shipping

  Parameters
    `shipping` - shipping to be added

### getPaymentTransactionReference

    public SmartEntityReference getPaymentTransactionReference()

  Deprecated See BEA Commerce product offering

  Get the SmartEntityReference for paymentTransaction

### setPaymentTransactionReference

    public void setPaymentTransactionReference(SmartEntityReference smartEntityReference)

  Deprecated See BEA Commerce product offering

  Set the SmartEntityReference for paymentTransaction

### getPaymentTransaction

    public PaymentTransaction getPaymentTransaction()

  Deprecated See BEA Commerce product offering

  Get the remote object reference of paymentTransaction

  Returns
    paymentTransaction.

### setPaymentTransaction

    public void setPaymentTransaction(PaymentTransaction paymentTransaction)

  Deprecated See BEA Commerce product offering

  Set the remote object reference of paymentTransaction

  Parameters
    `paymentTransaction` - paymentTransaction to be added

### getOrderStatus

    public String getOrderStatus()

  Deprecated See BEA Commerce product offering

  Get the value of orderStatus

  Returns
    orderStatus.

### setOrderStatus

    public void setOrderStatus(String orderStatus)

  Deprecated See BEA Commerce product offering

  Set the value of orderStatus

  Parameters
    `orderStatus` - orderStatus to be added

### getSplittingPreference

    public String getSplittingPreference()

  Deprecated See BEA Commerce product offering

  Get the value of splittingPreference

  Returns
    splittingPreference.

### setSplittingPreference

    public void setSplittingPreference(String splittingPreference)

  Deprecated See BEA Commerce product offering

  Set the value of splittingPreference

  Parameters
    `splittingPreference` - splittingPreference to be added

### getOrderLinesCollectionReference

    public SmartCollectionReference getOrderLinesCollectionReference()

  Deprecated See BEA Commerce product offering

  Get the SmartCollectionReference for orderLines

### setOrderLinesCollectionReference

    public void setOrderLinesCollectionReference(SmartCollectionReference smartCollectionReference)

  Deprecated See BEA Commerce product offering

  Set the SmartCollectionReference for orderLines

### getOrderLinesCollection

    public Collection getOrderLinesCollection()

  Deprecated See BEA Commerce product offering

  Returns a deep copy of the entire collection

### setOrderLinesCollection

    public void setOrderLinesCollection(Collection collection)

  Deprecated See BEA Commerce product offering

  Sets the entire collection

### addOrderLines

    public boolean addOrderLines(OrderLine element)

  Deprecated See BEA Commerce product offering

  Ensures that this collection contains the specified element (optional operation).

### addOrderLinesCollection

    public boolean addOrderLinesCollection(Collection collection)

  Deprecated See BEA Commerce product offering

  Adds all of the elements in the specified collection to this collection (optional operation).

### clearOrderLinesCollection

    public void clearOrderLinesCollection()

  Deprecated See BEA Commerce product offering

  Removes all of the elements from this collection (optional operation).

### containsOrderLines

    public boolean containsOrderLines(OrderLine element)

  Deprecated See BEA Commerce product offering

  Returns true if this collection contains the specified element.

### containsOrderLinesCollection

    public boolean containsOrderLinesCollection(Collection collection)

  Deprecated See BEA Commerce product offering

  Returns true if this collection contains all of the elements in the specified collection.

### equalsOrderLinesCollection

    public boolean equalsOrderLinesCollection(Object object)

  Deprecated See BEA Commerce product offering

  Compares the specified object with this collection for equality.

### orderLinesCollectionHashCode

    public int orderLinesCollectionHashCode()

  Deprecated See BEA Commerce product offering

  Returns the hash code value for this collection.

### isOrderLinesCollectionEmpty

    public boolean isOrderLinesCollectionEmpty()

  Deprecated See BEA Commerce product offering

  Returns true if this collection contains no elements.

### orderLinesCollectionIterator

    public Iterator orderLinesCollectionIterator()

  Deprecated See BEA Commerce product offering

  Returns an iterator over the elements in this collection.

### removeOrderLines

    public boolean removeOrderLines(OrderLine element)

  Deprecated See BEA Commerce product offering

  Removes a single instance of the specified element from this collection, if it is present (optional operation).

### removeOrderLinesCollection

    public boolean removeOrderLinesCollection(Collection collection)

  Deprecated See BEA Commerce product offering

  Removes all this collection's elements that are also contained in the specified collection (optional operation).

### retainOrderLinesCollection

    public boolean retainOrderLinesCollection(Collection collection)

  Deprecated See BEA Commerce product offering

  Retains only the elements in this collection that are contained in the specified collection (optional operation).

### getPrice

    public Money getPrice()

  Deprecated See BEA Commerce product offering

  Get the value of price

  Returns
    price.

### setPrice

    public void setPrice(Money price)

  Deprecated See BEA Commerce product offering

  Set the value of price

  Parameters
    `price` - price to be added

### setSubtotal

    public void setSubtotal(double subtotal)

  Deprecated See BEA Commerce product offering

  Sets the value of subtotal

  Parameters
    `subtotal` - for the order.

### getSubtotal

    public double getSubtotal()

  Deprecated See BEA Commerce product offering

  Get the value of subtotal

  Returns
    the subtotal for the order

### getSpecialInstructions

    public String getSpecialInstructions()

  Deprecated See BEA Commerce product offering

  Get the value of specialInstructions

  Returns
    specialInstructions.

### setSpecialInstructions

    public void setSpecialInstructions(String specialInstructions)

  Deprecated See BEA Commerce product offering

  Set the value of specialInstructions

  Parameters
    `specialInstructions` - specialInstructions to be added

### orderLinesCollectionSize

    public int orderLinesCollectionSize()

  Deprecated See BEA Commerce product offering

  Returns the number of elements in this collection.

### ejbFindByStatus

    public Collection ejbFindByStatus(String findStatus)
                               throws javax.ejb.FinderException

  Deprecated See BEA Commerce product offering

  Returns an enumeration of all the Orders in the system with the specified status.

  Throws
    `javax.ejb.FinderException`

### ejbFindByCustomer

    public Collection ejbFindByCustomer(String customerIdentifier)
                                 throws javax.ejb.FinderException

  Deprecated See BEA Commerce product offering

  Returns a list of Orders in the system that are associated with the specified Customer identifier.

  Throws
    `javax.ejb.FinderException`

### ejbFindByDate

    public Collection ejbFindByDate(Date from,
                                    Date to)
                             throws javax.ejb.FinderException

  Deprecated See BEA Commerce product offering

  Returns a list of Orders in the system that fall within the given date range.

  Throws
    `javax.ejb.FinderException`

### getTotal

    public Money getTotal(int totalType)
                   throws InvalidArgumentException

  Deprecated See BEA Commerce product offering

  Gets the shopping cart total for the given total type

  Parameters
    `total` - type
  Throws
    `InvalidArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved